package com.gic.auth.constant;
/**
 * 权限菜单平台类型
 * @ClassName: MenuPlatformTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/10/23 9:52 AM 
 */
public enum MenuPlatformTypeEnum {
    GIC(0, "gic"),
    HAOBAN_PC(1, "好办后台"),
    HAOBAN_APPLET(3, "好办小程序"),
    HAOBAN_APP(2, "好办应用"),
    HAOBAN_APPLET_APP(4, "好办小程序应用");

    private Integer code;
    private String message;

    private MenuPlatformTypeEnum(Integer code, String message) {
        this.code =  code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public MenuPlatformTypeEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public String getMessage() {
        return message;
    }

    public MenuPlatformTypeEnum setMessage(String message) {
        this.message = message;
        return this;
    }
}
