package com.gic.auth.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * 菜单项目
 * @ClassName: MenuProjectConstants 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/17 11:01 AM 
 */
public class MenuProjectConstants {
    /**
     * 默认项目
     */
    public final static String DEFAULT_PROJECT = "gic";

    /**
     * gic
     */
    public final static int DEFAULT_PROJECT_CODE = 1;

    /**
     * app
     */
    public final static int APP_PROJECT_CODE = 2;

    /**
     * all
     */
    public final static int ALL_CODE = 3;

    /**
     * 好办后台
     */
    public final static String HAO_BAN_PROJECT = "haoban";

    /**
     * 好办小程序
     */
    public final static String HAO_BAN_WECHAT_PROJECT = "haobanWechat";

    /**
     * 应用后台
     */
    public final static String HAO_BAN_PC_PROJECT = "haobanPC";

    /**
     * 好办小程序应用
     */
    public final static String HAO_BAN_WECHAT_APP_PROJECT = "haobanWechatApp";

    public final static Map<Integer, String> HAO_PROJECT_MAP = new HashMap<>(8);

    static {
        HAO_PROJECT_MAP.put(1, HAO_BAN_PROJECT);
        HAO_PROJECT_MAP.put(2, HAO_BAN_WECHAT_PROJECT);
        HAO_PROJECT_MAP.put(3, HAO_BAN_PC_PROJECT);
        HAO_PROJECT_MAP.put(4, HAO_BAN_WECHAT_APP_PROJECT);
    }


}
