package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 账号分组组员关联
 * @ClassName: AccountGroupRelDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/31 9:32 AM 
 */
public class AccountGroupRelDTO implements Serializable{
    private static final long serialVersionUID = -6909938575008627379L;

    /**
     * ID
     */
    private Integer accountGroupRelId;

    /**
     * 账号分组ID
     */
    private Integer accountGroupId;

    /**
     * 用户ID/协作人ID
     */
    private Integer userId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 1:管理员 2:协作人
     */
    private Integer type;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    public Integer getAccountGroupRelId() {
        return accountGroupRelId;
    }

    public void setAccountGroupRelId(Integer accountGroupRelId) {
        this.accountGroupRelId = accountGroupRelId;
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public void setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public AccountGroupRelDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    @Override
    public String toString() {
        return "AccountGroupRelDTO{" +
                "accountGroupRelId=" + accountGroupRelId +
                ", accountGroupId=" + accountGroupId +
                ", userId=" + userId +
                ", enterpriseId=" + enterpriseId +
                ", deleteFlag=" + deleteFlag +
                ", type=" + type +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
