package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_sys_auth_code
 */
/**
 * 
 * @ClassName: AuthCodeDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:27
 */
public class AuthCodeDTO implements Serializable {
    /**
     * 
     */
    private Integer authCodeId;

    /**
     * 验证码
     */
    private String authCode;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 关联业务id
     */
    private Integer relationId;

    /**
     * 0有效  1失效
     */
    private Integer deleteFlag;

    /**
     * 
     */
    private Date expirationTime;


    public Integer getAuthCodeId() {
        return authCodeId;
    }

    public void setAuthCodeId(Integer authCodeId) {
        this.authCodeId = authCodeId;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getRelationId() {
        return relationId;
    }

    public void setRelationId(Integer relationId) {
        this.relationId = relationId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public AuthCodeDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(Date expirationTime) {
        this.expirationTime = expirationTime;
    }

    @Override
    public String toString() {
        return "AuthCodeDTO{" +
                "authCodeId=" + authCodeId +
                ", authCode='" + authCode + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", relationId=" + relationId +
                ", deleteFlag=" + deleteFlag +
                ", expirationTime=" + expirationTime +
                '}';
    }
}