package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 管理员的数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 1:55 PM 
 */
public class UserDataShowDTO implements Serializable{
    private static final long serialVersionUID = 2766130670038380516L;

    /**
     * id
     */
    private Integer userDataId;

    /**
     * 管理员数据业务方 1:用户分组 2:卡券
     */
    private Integer userDataSceneType;

    /**
     * 管理员创建的业务ID
     */
    private String userDataBusinessId;

    /**
     * 管理员创建的业务名称
     */
    private String userDataBusinessName;

    /**
     * 管理员ID
     */
    private Integer userId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 0:正常 1:删除
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getUserDataId() {
        return userDataId;
    }

    public UserDataShowDTO setUserDataId(Integer userDataId) {
        this.userDataId = userDataId;
        return this;
    }

    public Integer getUserDataSceneType() {
        return userDataSceneType;
    }

    public UserDataShowDTO setUserDataSceneType(Integer userDataSceneType) {
        this.userDataSceneType = userDataSceneType;
        return this;
    }

    public String getUserDataBusinessId() {
        return userDataBusinessId;
    }

    public UserDataShowDTO setUserDataBusinessId(String userDataBusinessId) {
        this.userDataBusinessId = userDataBusinessId;
        return this;
    }

    public String getUserDataBusinessName() {
        return userDataBusinessName;
    }

    public UserDataShowDTO setUserDataBusinessName(String userDataBusinessName) {
        this.userDataBusinessName = userDataBusinessName;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public UserDataShowDTO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UserDataShowDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public UserDataShowDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UserDataShowDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UserDataShowDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "UserDataShowDTO{" +
                "userDataId=" + userDataId +
                ", userDataSceneType=" + userDataSceneType +
                ", userDataBusinessId='" + userDataBusinessId + '\'' +
                ", userDataBusinessName='" + userDataBusinessName + '\'' +
                ", userId=" + userId +
                ", enterpriseId=" + enterpriseId +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
