package com.gic.auth.dto.open;

import java.io.Serializable;

/**
 * 
 * @ClassName: ChannelDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:27
 */
public class ChannelDTO implements Serializable{
    private static final long serialVersionUID = 7594299146166653493L;

    private Long channelId;

    private String channelName;

    /**
     * 1：会员卡 2：服务号 3：小程序
     */
    private Integer type;

    public ChannelDTO() {

    }

    public ChannelDTO(Long channelId, String channelName, Integer type) {
        this.channelId = channelId;
        this.channelName = channelName;
        this.type = type;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "ChannelDTO{" +
                "channelId=" + channelId +
                ", channelName='" + channelName + '\'' +
                ", type=" + type +
                '}';
    }
}
