package com.gic.auth.dto.open;

import java.io.Serializable;

/**
 * 
 * @ClassName: OrderStoreDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:35
 */
public class OrderStoreDTO implements Serializable{
    private static final long serialVersionUID = 3841064488953962444L;

    private Integer storeId;

    private String storeName;
    /**
     * 1：线下们带你订单 2：达摩微商城订单 3：微盟微商城订单
     */
    private Integer type;

    public OrderStoreDTO() {

    }

    public OrderStoreDTO(Integer storeId, String storeName, Integer type) {
        this.storeId = storeId;
        this.storeName = storeName;
        this.type = type;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "OrderStoreDTO{" +
                "storeId=" + storeId +
                ", storeName='" + storeName + '\'' +
                ", type=" + type +
                '}';
    }
}
