package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuItemDTO;

import java.util.List;

/**
 * 权限项、操作项关联
 * @ClassName: MenuItemApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/20 1:42 PM 
 */
public interface MenuItemApiService {
    /**
     * 根据权限项ID查询操作项
     * @Title: listMenuItemByMenuId 
     * @Description:
      * @author guojuxing
     * @param menuId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.MenuItemDTO> 
      */
    ServiceResponse<List<MenuItemDTO>> listMenuItemByMenuId(Integer menuId);
}
