package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.OperationUserDTO;

/**
 * 运营实施管理员
 * @ClassName: OperationUserApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/12 3:03 PM 
 */
public interface OperationUserApiService {

    /**
     * 手机号码查询运营
     * @Title: getByPhone 
     * @Description:
      * @author guojuxing
     * @param phone
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.OperationUserDTO> 
      */
    ServiceResponse<OperationUserDTO> getByPhone(String phone, Integer enterpriseId);

    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> save(OperationUserDTO dto);
}
