package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysBusinessFrontRes;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysBusinessFrontResMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:39
 */
public interface TabSysBusinessFrontResMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysBusinessFrontRes record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysBusinessFrontRes record);

    /**
     * 根据主键查询
     *
     * @param resourceId 主键
     * @return 实体对象
     */
    TabSysBusinessFrontRes selectByPrimaryKey(Integer resourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysBusinessFrontRes record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysBusinessFrontRes record);

    /**
     * listByParam
     * @Title: listByParam
     * @Description:
     * @author zhiwj
     * @param search
     * @param resourceType
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws
     */
    List<TabSysBusinessFrontRes> listByParam(@Param("search") String search,
            @Param("resourceType") Integer resourceType);

    /**
     * listGroupResourceCode
     * @Title: listGroupResourceCode
     * @Description:
     * @author zhiwj
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws
     */
    List<TabSysBusinessFrontRes> listGroupResourceCode();

    /**
     * listByCode
     * @Title: listByCode
     * @Description:
     * @author zhiwj
     * @param codeList
     * @param resourceType
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws
     */
    List<TabSysBusinessFrontRes> listByCode(@Param("codeList") List<String> codeList, @Param("resourceType") Integer resourceType);

    /**
     * listByResourceCode
     * @Title: listByResourceCode
     * @Description:
     * @author zhiwj
     * @param resourceCode
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws
     */
    List<TabSysBusinessFrontRes> listByResourceCode(@Param("resourceCode")String resourceCode);
}