package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysOrderAppResource;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 
 * @ClassName: TabSysOrderAppResourceMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:41
 */
public interface TabSysOrderAppResourceMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysOrderAppResource record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysOrderAppResource record);

    /**
     * 根据主键查询
     *
     * @param orderAppResourceId 主键
     * @return 实体对象
     */
    TabSysOrderAppResource selectByPrimaryKey(Integer orderAppResourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysOrderAppResource record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysOrderAppResource record);

    /**
     * listByIds
     * @Title: listByIds
     * @Description:
     * @author zhiwj
 * @param smsSignList
 * @param type
     * @return java.util.List<com.gic.auth.entity.TabSysOrderAppResource>
     * @throws
     */
    List<TabSysOrderAppResource> listByIds(@Param("ids") List<Integer> smsSignList, @Param("type") Integer type);
}