package com.gic.auth.entity;

import java.util.Date;

/**
 * tab_sys_resource
 */
/**
 * 
 * @ClassName: TabSysResource
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:41
 */
public class TabSysResource {
    /**
     * 
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     * 
     */
    private Integer enterpriseId;

    /**
     * 用户资源  人群权限筛选器
     */
    private Long userResource;

    /**
     * 会员卡资源控件id   暂时不用
     */
    private Long memberCardResource;

    /**
     * 服务号资源   暂时不用
     */
    private Long fwhResource;

    /**
     * 小程序资源  暂时不用
     */
    private Long appletResource;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 订单资源  
 [
     {
         "channel":1,        // 渠道 1：线下门店， 2:达摩微商城， 3：微盟微商城
         "storeContent":1    // 门店id或门店选择器id， 多个逗号隔开
     }
 ]
     */
    private Integer orderResource;

    /**
     * 应用资源 
 [
     {
         appId:1,    // 应用id
         appName:微商城   // 应用名称
         child:[
             appId: 10,          // 子应用id
             appName: 短信发送   // 子应用名称
         ]
     }
 ]
     */
    private Integer appResource;

    /**
     * 短信签名资源  
 
     {
         "type":1,            // 全部签名:1，  部分签名:2
         "ids":[1,2,3]
     }
 
     */
    private Integer smsSignResource;

    /**
     * 渠道资源
     */
    private Integer channelResource;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 
     */
    private Integer deleteFlag;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getUserResource() {
        return userResource;
    }

    public void setUserResource(Long userResource) {
        this.userResource = userResource;
    }

    public Long getMemberCardResource() {
        return memberCardResource;
    }

    public void setMemberCardResource(Long memberCardResource) {
        this.memberCardResource = memberCardResource;
    }

    public Long getFwhResource() {
        return fwhResource;
    }

    public void setFwhResource(Long fwhResource) {
        this.fwhResource = fwhResource;
    }

    public Long getAppletResource() {
        return appletResource;
    }

    public void setAppletResource(Long appletResource) {
        this.appletResource = appletResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public void setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
    }

    public Integer getOrderResource() {
        return orderResource;
    }

    public void setOrderResource(Integer orderResource) {
        this.orderResource = orderResource;
    }

    public Integer getAppResource() {
        return appResource;
    }

    public void setAppResource(Integer appResource) {
        this.appResource = appResource;
    }

    public Integer getSmsSignResource() {
        return smsSignResource;
    }

    public void setSmsSignResource(Integer smsSignResource) {
        this.smsSignResource = smsSignResource;
    }

    public Integer getChannelResource() {
        return channelResource;
    }

    public void setChannelResource(Integer channelResource) {
        this.channelResource = channelResource;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public TabSysResource setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }
}