package com.gic.auth.service;

import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroupUserRel;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 11:31
 */
public interface AuditedGroupUserRelService {
    /**
     * addOrUpdateRel
     * @Title: addOrUpdateRel
     * @Description:
     * @author zhiwj
     * @param auditedGroupDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer addOrUpdateRel(AuditedGroupDTO auditedGroupDTO);

    /**
     * delRel
     * @Title: delRel
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return int
     * @throws
     */
    int delRel(Integer auditedGroupId);

    /**
     * getUserCountByAuditedGroup
     * @Title: getUserCountByAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupIds
     * @return java.util.Map<java.lang.Integer,java.lang.Integer>
     * @throws
     */
    Map<Integer,Integer> getUserCountByAuditedGroup(List<Integer> auditedGroupIds);

    /**
     * listAuditedGroup
     * @Title: listAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return java.util.List<com.gic.auth.entity.TabAuditedGroupUserRel>
     * @throws
     */
    List<TabAuditedGroupUserRel> listAuditedGroup(Integer auditedGroupId);

    /**
     * getUserIdListByAuditedGroup
     * @Title: getUserIdListByAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupIds
     * @return java.util.List<com.gic.auth.entity.TabAuditedGroupUserRel>
     * @throws
     */
    List<TabAuditedGroupUserRel> getUserIdListByAuditedGroup(List<Integer> auditedGroupIds);

    /**
     * listAuditedGroupByUserId
     * @Title: listAuditedGroupByUserId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listAuditedGroupByUserId(Integer enterpriseId, Integer userId);

    /**
     * deleteByUserId
     * @Title: deleteByUserId
     * @Description:
     * @author zhiwj
     * @param userId
     * @return void
     * @throws
     */
    void deleteByUserId(Integer userId);
}
