package com.gic.auth.service;

import com.gic.auth.entity.TabAuditorProjectItemRel;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-19 16:56
 */
public interface AuditorProjectItemRelService {
    /**
     * addOrUpdateRel
     * @Title: addOrUpdateRel
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditorId
     * @param projectItemList
     * @return void
     * @throws
     */
    void addOrUpdateRel(Integer enterpriseId, Integer auditorId, List<Integer> projectItemList);

    /**
     * delRelByAuditorId
     * @Title: delRelByAuditorId
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return void
     * @throws
     */
    void delRelByAuditorId(Integer auditorId);

    /**
     * delRelByProjectItemId
     * @Title: delRelByProjectItemId
     * @Description:
     * @author zhiwj
     * @param projectItemId
     * @return void
     * @throws
     */
    void delRelByProjectItemId(Integer projectItemId);

    /**
     * listRelByAuditorId
     * @Title: listRelByAuditorId
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return java.util.List<com.gic.auth.entity.TabAuditorProjectItemRel>
     * @throws
     */
    List<TabAuditorProjectItemRel> listRelByAuditorId(Integer auditorId);

    /**
     * getCountByAuditorIds
     * @Title: getCountByAuditorIds
     * @Description:
     * @author zhiwj
     * @param auditorIdList
     * @return java.util.Map<java.lang.Integer,java.lang.Integer>
     * @throws
     */
    Map<Integer,Integer> getCountByAuditorIds(List<Integer> auditorIdList);

    /**
     * listAuditorIdByProjectItemId
     * @Title: listAuditorIdByProjectItemId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param projectItemId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listAuditorIdByProjectItemId(Integer enterpriseId, Integer projectItemId);

}
