package com.gic.auth.service;

import com.gic.auth.dto.BusinessFrontResDTO;
import com.gic.auth.entity.TabSysBusinessFrontRes;

import java.util.List;

/**
 * 
 * @ClassName: BusinessFrontResService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:36
 */
public interface BusinessFrontResService {
    /**
     * save 
     * @Title: save
     * @Description: 
     * @author zhiwj 
     * @param dto
     * @return java.lang.Integer
     * @throws 
     */
    Integer save(BusinessFrontResDTO dto);

    /**
     * listByResourceCode 
     * @Title: listByResourceCode
     * @Description: 
     * @author zhiwj 
     * @param resourceCode
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws 
     */
    List<TabSysBusinessFrontRes> listByResourceCode(String resourceCode);

    /**
     * edit 
     * @Title: edit
     * @Description: 
     * @author zhiwj 
     * @param dto
     * @return void
     * @throws 
     */
    void edit(BusinessFrontResDTO dto);

    /**
     * delete 
     * @Title: delete
     * @Description: 
     * @author zhiwj 
     * @param resourceId
     * @return void
     * @throws 
     */
    void delete(Integer resourceId);

    /**
     * listByParam 
     * @Title: listByParam
     * @Description: 
     * @author zhiwj 
     * @param search
     * @param resourceType
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws 
     */
    List<TabSysBusinessFrontRes> listByParam(String search, Integer resourceType);

    /**
     * listGroupResourceCode 
     * @Title: listGroupResourceCode
     * @Description: 
     * @author zhiwj 
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws 
     */
    List<TabSysBusinessFrontRes> listGroupResourceCode();

    /**
     * listByCode 根据code查询页面
     * @Title: listByCode
     * @Description: 
     * @author zhiwj 
     * @param codeList
     * @param resourceType
     * @return java.util.List<com.gic.auth.entity.TabSysBusinessFrontRes>
     * @throws 
     */
    List<TabSysBusinessFrontRes> listByCode(List<String> codeList, Integer resourceType);

    /**
     * getByResourceId 
     * @Title: getByResourceId
     * @Description: 
     * @author zhiwj 
 * @param resourceId
     * @return com.gic.auth.entity.TabSysBusinessFrontRes
     * @throws 
     */
    TabSysBusinessFrontRes getByResourceId(Integer resourceId);
}
