package com.gic.auth.service;

import com.gic.auth.dto.MenuAuthDepartDTO;
import com.gic.auth.entity.TabSysMenuAuthDepart;

import java.util.List;
/**
 * 
 * @ClassName: MenuAuthDepartService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:37
 */
public interface MenuAuthDepartService {

    /**
     * 批量新增部门职位
     * @Title: saveFetch 
     * @Description:
     * @author guojuxing
     * @param list 
     * @param menuCode 菜单code
     * @return  void 
     */
    void saveFetch(List<MenuAuthDepartDTO> list, String menuCode);

    /**
     * 查询菜单的所有部门职位
     * @Title: listAuthDepartByMenuCode 
     * @Description:
     * @author guojuxing
     * @param menuCode 
     * @return  java.util.List<com.gic.auth.entity.TabSysMenuAuthDepart> 
     */
    List<TabSysMenuAuthDepart> listAuthDepartByMenuCode(String menuCode);

    /**
     * listAllAuthDepart 
     * @Title: listAllAuthDepart
     * @Description: 
     * @author zhiwj 
 * @param menuCodeList
     * @return java.util.List<com.gic.auth.entity.TabSysMenuAuthDepart>
     * @throws 
     */
    List<TabSysMenuAuthDepart> listAllAuthDepart(List<String> menuCodeList);
}
