package com.gic.auth.service;

import com.gic.auth.entity.TabGicUserMove;

import java.util.List;

/**
 * 管理员转移表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 10:22 AM 
 */
public interface UserMoveService {

    /**
     * 转移记录
     * @param record
     */
    void saveUserMove(TabGicUserMove record);

    /**
     * 查询fromUserId列表，如果为空，说明没有数据转移过给userId
     * @param userId
     * @return
     */
    List<Integer> listTransferUserId(Integer userId);

    /**
     * 查询fromUserId列表，如果为空，说明没有数据转移过给userId
     * @param userIdList
     * @return
     */
    List<Integer> listTransferUserId(List<Integer> userIdList);

}
