package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.List;

/**
 * 协作人详情
 * @ClassName: CollaboratorDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/4 3:29 PM 
 */
public class CollaboratorDetailVO implements Serializable{
    private static final long serialVersionUID = -3869612411018633754L;

    /**
     * ID
     */
    private Integer collaboratorId;

    private String collaboratorName;

    private String collaborationEnterpriseName;

    private String phone;

    private String appId;

    private String appName;

    private List<String> subAppIdList;

    private List<Integer> menuIdList;

    private List<Integer> resourceIdList;

    public Integer getCollaboratorId() {
        return collaboratorId;
    }

    public void setCollaboratorId(Integer collaboratorId) {
        this.collaboratorId = collaboratorId;
    }

    public String getCollaboratorName() {
        return collaboratorName;
    }

    public void setCollaboratorName(String collaboratorName) {
        this.collaboratorName = collaboratorName;
    }

    public String getCollaborationEnterpriseName() {
        return collaborationEnterpriseName;
    }

    public void setCollaborationEnterpriseName(String collaborationEnterpriseName) {
        this.collaborationEnterpriseName = collaborationEnterpriseName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public List<String> getSubAppIdList() {
        return subAppIdList;
    }

    public void setSubAppIdList(List<String> subAppIdList) {
        this.subAppIdList = subAppIdList;
    }

    public List<Integer> getMenuIdList() {
        return menuIdList;
    }

    public void setMenuIdList(List<Integer> menuIdList) {
        this.menuIdList = menuIdList;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public List<Integer> getResourceIdList() {
        return resourceIdList;
    }

    public void setResourceIdList(List<Integer> resourceIdList) {
        this.resourceIdList = resourceIdList;
    }

    @Override
    public String toString() {
        return "CollaboratorDetailVO{" +
                "collaboratorId=" + collaboratorId +
                ", collaboratorName='" + collaboratorName + '\'' +
                ", collaborationEnterpriseName='" + collaborationEnterpriseName + '\'' +
                ", phone='" + phone + '\'' +
                ", appId='" + appId + '\'' +
                ", appName='" + appName + '\'' +
                ", subAppIdList=" + subAppIdList +
                ", menuIdList=" + menuIdList +
                ", resourceIdList=" + resourceIdList +
                '}';
    }
}
