package com.gic.auth.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-27 10:17
 */
public class OrderResourceVO implements Serializable {

    private static final long serialVersionUID = -4464992062479250749L;

    /**
     * 1：gic   2：达摩微商城  3：微盟微商城
     */
    private Integer channel;

    /**
     * channel:2 或者 channel:3时 传店铺ids，
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private List<Long> storeContent;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long storeWidgetId;

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public List<Long> getStoreContent() {
        return storeContent;
    }

    public void setStoreContent(List<Long> storeContent) {
        this.storeContent = storeContent;
    }

    public Long getStoreWidgetId() {
        return storeWidgetId;
    }

    public void setStoreWidgetId(Long storeWidgetId) {
        this.storeWidgetId = storeWidgetId;
    }

    @Override
    public String toString() {
        return "OrderResourceVO{" +
                "channel=" + channel +
                ", storeContent=" + storeContent +
                ", storeWidgetId=" + storeWidgetId +
                '}';
    }
}
