package com.gic.auth.web.vo;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 角色详情
 * @ClassName: RoleDetailVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 2:54 PM 
 */
public class RoleDetailVO implements Serializable{
    private static final long serialVersionUID = 18646904997204432L;

    /**
     * id
     */
    private Integer roleId;

    /**
     * 管理员角色名称
     */
    private String roleName;

    List<Map<String, Object>> gicMap;

    List<Map<String, Object>> appMap;


    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public List<Map<String, Object>> getGicMap() {
        return gicMap;
    }

    public void setGicMap(List<Map<String, Object>> gicMap) {
        this.gicMap = gicMap;
    }

    public List<Map<String, Object>> getAppMap() {
        return appMap;
    }

    public void setAppMap(List<Map<String, Object>> appMap) {
        this.appMap = appMap;
    }

    @Override
    public String toString() {
        return "RoleDetailVO{" +
                "roleId=" + roleId +
                ", roleName='" + roleName + '\'' +
                ", gicMap=" + gicMap +
                ", appMap=" + appMap +
                '}';
    }
}
