package com.gic.auth.constant;

/**
 * 
 * @ClassName: AuthorizationStatusEnum
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:27
 */
public enum AuthorizationStatusEnum {
    /**
     * "授权中"
     */
    NORMAL(1, "授权中"),
    /**
     * 授权成功
     */
    SUCCESS(2, "授权成功"),
    /**
     * 授权失败
     */
    FAIL(3, "授权失败"),
    /**
     * 不授权
     */
    NO(4, "不授权"),
    /**
     * 部分授权成功
     */
    PARTSUCCESS(5, "部分授权成功");

    private Integer code;
    private String message;
    AuthorizationStatusEnum(Integer code, String message){
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
