package com.gic.auth.constant;
/**
 * 菜单类型
 * @ClassName: MenuTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/17 11:05 AM 
 */
public enum MenuTypeEnum {
    /**
     * 页面
     */
    PAGE(0, "页面"),
    /**
     * 权限项
     */
    ROLE(1, "权限项"),
    /**
     * 操作项
     */
    OPERATION(2, "操作项");

    private int code;
    private String message;

    private MenuTypeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
