package com.gic.auth.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-26 18:35
 */
public enum OrderOrAppEnum {
    /**
     * 订单
     */
    ORDER(1, "订单"),
    /**
     * 应用
     */
    APP(2, "应用"),
    /**
     * 短信签名
     */
    SMS_SIGN(3, "短信签名"),
    /**
     * 渠道
     */
    CHANNEL(4, "渠道")
    ;

    private Integer code;
    private String message;
    OrderOrAppEnum(Integer code, String message){
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
