package com.gic.auth.constant;

/**
 * 
 * @ClassName: ResourceTypeEnum
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:36
 */
public enum ResourceTypeEnum {
    /**
     * 用户资源
     */
    MEMBER_RESOURCE(1, "用户资源"),
    /**
     * 门店资源
     */
    STORE_RESOURCE(2, "门店资源"),
    /**
     * 商品资源
     */
    GOODS_RESOURCE(3, "商品资源"),
    /**
     * 订单资源
     */
    ORDER_RESOURCE(4,"订单资源");

    private Integer code;
    private String message;
    ResourceTypeEnum(Integer code, String message){
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
