package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;
/**
 * 
 * @ClassName: MenuAuthDepartDTO
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:34
 */
public class MenuAuthDepartDTO implements Serializable{
    private static final long serialVersionUID = 4195293064485615589L;

    /**
     * ID
     */
    private Integer menuDepartId;

    /**
     * 菜单code
     */
    private String menuCode;

    /**
     * 部门code
     */
    private String departCode;

    /**
     * 部门name
     */
    private String departName;

    /**
     * 职位code
     */
    private String positionCode;

    /**
     * 职位name
     */
    private String positionName;

    /**
     * 0:有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


    public Integer getMenuDepartId() {
        return menuDepartId;
    }

    public MenuAuthDepartDTO setMenuDepartId(Integer menuDepartId) {
        this.menuDepartId = menuDepartId;
        return this;
    }

    public String getMenuCode() {
        return menuCode;
    }

    public MenuAuthDepartDTO setMenuCode(String menuCode) {
        this.menuCode = menuCode;
        return this;
    }

    public String getDepartCode() {
        return departCode;
    }

    public MenuAuthDepartDTO setDepartCode(String departCode) {
        this.departCode = departCode;
        return this;
    }

    public String getDepartName() {
        return departName;
    }

    public MenuAuthDepartDTO setDepartName(String departName) {
        this.departName = departName;
        return this;
    }

    public String getPositionCode() {
        return positionCode;
    }

    public MenuAuthDepartDTO setPositionCode(String positionCode) {
        this.positionCode = positionCode;
        return this;
    }

    public String getPositionName() {
        return positionName;
    }

    public MenuAuthDepartDTO setPositionName(String positionName) {
        this.positionName = positionName;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public MenuAuthDepartDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public MenuAuthDepartDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public MenuAuthDepartDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "MenuAuthDepartDTO{" +
                "menuDepartId=" + menuDepartId +
                ", menuCode='" + menuCode + '\'' +
                ", departCode='" + departCode + '\'' +
                ", departName='" + departName + '\'' +
                ", positionCode='" + positionCode + '\'' +
                ", positionName='" + positionName + '\'' +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
