package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 权限项和操作项关联
 * @ClassName: MenuItemDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 5:27 PM 
 */
public class MenuItemDTO implements Serializable{
    private static final long serialVersionUID = 8594935569244798777L;

    /**
     * ID
     */
    private Integer menuItemId;

    /**
     * 权限项ID（数据是菜单权限表）
     */
    private Integer menuId;

    /**
     * 操作项ID（数据是菜单权限表）
     */
    private Integer itemId;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getMenuItemId() {
        return menuItemId;
    }

    public void setMenuItemId(Integer menuItemId) {
        this.menuItemId = menuItemId;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getItemId() {
        return itemId;
    }

    public void setItemId(Integer itemId) {
        this.itemId = itemId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public MenuItemDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "MenuItemDTO{" +
                "menuItemId=" + menuItemId +
                ", menuId=" + menuId +
                ", itemId=" + itemId +
                ", deleteFlag=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
