package com.gic.auth.dto;

import java.io.Serializable;
/**
 * 资源组数据，根据user_id查询
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/12 9:56 AM 
 */
public class ResourceGroupDataDTO implements Serializable{
    private static final long serialVersionUID = -7512120223815225844L;
    /**
     * 用户域配置
     */
    private CustomUserAreaDTO customUserAreaDTO;

    /**
     * 门店资源
     */
    private StoreResourceDTO storeResourceDTO;

    /**
     * 商品资源
     */
    private GoodsResourceDTO goodsResourceDTO;

    public CustomUserAreaDTO getCustomUserAreaDTO() {
        return customUserAreaDTO;
    }

    public ResourceGroupDataDTO setCustomUserAreaDTO(CustomUserAreaDTO customUserAreaDTO) {
        this.customUserAreaDTO = customUserAreaDTO;
        return this;
    }

    public StoreResourceDTO getStoreResourceDTO() {
        return storeResourceDTO;
    }

    public ResourceGroupDataDTO setStoreResourceDTO(StoreResourceDTO storeResourceDTO) {
        this.storeResourceDTO = storeResourceDTO;
        return this;
    }

    public GoodsResourceDTO getGoodsResourceDTO() {
        return goodsResourceDTO;
    }

    public ResourceGroupDataDTO setGoodsResourceDTO(GoodsResourceDTO goodsResourceDTO) {
        this.goodsResourceDTO = goodsResourceDTO;
        return this;
    }

    @Override
    public String toString() {
        return "ResourceGroupDataDTO{" +
                "customUserAreaDTO=" + customUserAreaDTO +
                ", storeResourceDTO=" + storeResourceDTO +
                ", goodsResourceDTO=" + goodsResourceDTO +
                '}';
    }
}
