package com.gic.auth.dto;

import java.io.Serializable;
/**
 * 管理员数据新增字段
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:01 PM 
 */
public class UserDataShowSaveDTO implements Serializable{
    private static final long serialVersionUID = -5755654163143952463L;

    /**
     * 管理员数据业务方 1:用户分组 2:卡券,枚举类 ManagerDataEnum
     */
    private Integer userDataSceneType;

    /**
     * 管理员创建的业务ID
     */
    private String userDataBusinessId;

    /**
     * 管理员创建的业务名称
     */
    private String userDataBusinessName;

    /**
     * 管理员ID
     */
    private Integer userId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    public Integer getUserDataSceneType() {
        return userDataSceneType;
    }

    public UserDataShowSaveDTO setUserDataSceneType(Integer userDataSceneType) {
        this.userDataSceneType = userDataSceneType;
        return this;
    }

    public String getUserDataBusinessId() {
        return userDataBusinessId;
    }

    public UserDataShowSaveDTO setUserDataBusinessId(String userDataBusinessId) {
        this.userDataBusinessId = userDataBusinessId;
        return this;
    }

    public String getUserDataBusinessName() {
        return userDataBusinessName;
    }

    public UserDataShowSaveDTO setUserDataBusinessName(String userDataBusinessName) {
        this.userDataBusinessName = userDataBusinessName;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public UserDataShowSaveDTO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UserDataShowSaveDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    @Override
    public String toString() {
        return "UserDataShowSaveDTO{" +
                "userDataSceneType=" + userDataSceneType +
                ", userDataBusinessId='" + userDataBusinessId + '\'' +
                ", userDataBusinessName='" + userDataBusinessName + '\'' +
                ", userId=" + userId +
                ", enterpriseId=" + enterpriseId +
                '}';
    }
}
