package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 管理员转移记录表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 9:46 AM 
 */
public class UserMoveDTO implements Serializable{
    private static final long serialVersionUID = -3397881386350615640L;

    /**
     * id
     */
    private Integer userMoveId;

    /**
     * 转移前的用户ID
     */
    private Integer fromUserId;

    /**
     * 转移后的用户ID
     */
    private Integer toUserId;

    /**
     * 商户ID
     */
    private Integer enterpriseId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getUserMoveId() {
        return userMoveId;
    }

    public UserMoveDTO setUserMoveId(Integer userMoveId) {
        this.userMoveId = userMoveId;
        return this;
    }

    public Integer getFromUserId() {
        return fromUserId;
    }

    public UserMoveDTO setFromUserId(Integer fromUserId) {
        this.fromUserId = fromUserId;
        return this;
    }

    public Integer getToUserId() {
        return toUserId;
    }

    public UserMoveDTO setToUserId(Integer toUserId) {
        this.toUserId = toUserId;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public UserMoveDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UserMoveDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public UserMoveDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "UserMoveDTO{" +
                "userMoveId=" + userMoveId +
                ", fromUserId=" + fromUserId +
                ", toUserId=" + toUserId +
                ", enterpriseId=" + enterpriseId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
