package com.gic.auth.dto.open;

import java.io.Serializable;
import java.util.List;

/**
 * 授权资源类别：会员卡渠道
 * @ClassName: ChannelAuthDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/2 3:13 PM 
 */
public class ChannelAuthDTO implements Serializable{
    private static final long serialVersionUID = 8907085677012908128L;

    private List<ChannelDTO> channelList;

    public ChannelAuthDTO() {

    }

    public ChannelAuthDTO(List<ChannelDTO> channelList) {
        this.channelList = channelList;
    }


    public List<ChannelDTO> getChannelList() {
        return channelList;
    }

    public void setChannelList(List<ChannelDTO> channelList) {
        this.channelList = channelList;
    }

    @Override
    public String toString() {
        return "ChannelAuthDTO{" +
                "channelList=" + channelList +
                '}';
    }
}
