package com.gic.auth.dto.open;

import com.gic.auth.dto.CustomUserAreaDTO;

import java.io.Serializable;

/**
 * 对第三方开发者资源授权清单
 * @ClassName: ResourceOpenDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/2 9:31 AM 
 */
public class ResourceOpenDTO implements Serializable{
    private static final long serialVersionUID = 4553619781718084109L;

    /**
     * 门店资源
     */
    private StoreResourceDTO store;
    /**
     * 用户域资源
     */
    private CustomUserAreaDTO customUserAreaDTO;
    /**
     * 商品资源
     */
    private GoodsResourceDTO goodsResource;


    public StoreResourceDTO getStore() {
        return store;
    }

    public void setStore(StoreResourceDTO store) {
        this.store = store;
    }

    public CustomUserAreaDTO getCustomUserAreaDTO() {
        return customUserAreaDTO;
    }

    public ResourceOpenDTO setCustomUserAreaDTO(CustomUserAreaDTO customUserAreaDTO) {
        this.customUserAreaDTO = customUserAreaDTO;
        return this;
    }

    public GoodsResourceDTO getGoodsResource() {
        return goodsResource;
    }

    public void setGoodsResource(GoodsResourceDTO goodsResource) {
        this.goodsResource = goodsResource;
    }

    @Override
    public String toString() {
        return "ResourceOpenDTO{" +
                "store=" + store +
                ", customUserAreaDTO=" + customUserAreaDTO +
                ", goodsResource=" + goodsResource +
                '}';
    }
}
