package com.gic.auth.dto.open;

import java.io.Serializable;
import java.util.List;

/**
 * 授权资源类别：门店
 * @ClassName: StoreAuthDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/2 11:24 AM 
 */
public class StoreAuthDTO implements Serializable{
    private static final long serialVersionUID = -8177948655496831983L;

    /**
     * 门店
     */
    private List<StoreOpenDTO> storeList;

    public StoreAuthDTO() {

    }

    public StoreAuthDTO(List<StoreOpenDTO> storeList) {
        this.storeList = storeList;
    }

    public List<StoreOpenDTO> getStoreList() {
        return storeList;
    }

    public void setStoreList(List<StoreOpenDTO> storeList) {
        this.storeList = storeList;
    }

    @Override
    public String toString() {
        return "StoreAuthDTO{" +
                "storeList=" + storeList +
                '}';
    }
}
