package com.gic.auth.dto.open;

import java.io.Serializable;
/**
 * 对第三方门店资源
 * @ClassName: StoreOpenDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/2 9:32 AM 
 */
public class StoreOpenDTO implements Serializable{
    private static final long serialVersionUID = -569638793954963525L;

    /**
     * 域id
     */
    private Integer regionId;

    /**
     * 域名称
     */
    private String regionName;

    public StoreOpenDTO() {

    }

    public StoreOpenDTO(Integer regionId, String regionName) {
        this.regionId = regionId;
        this.regionName = regionName;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    @Override
    public String toString() {
        return "StoreOpenDTO{" +
                "regionId=" + regionId +
                ", regionName='" + regionName + '\'' +
                '}';
    }
}
