package com.gic.auth.dto.open;

import java.io.Serializable;
/**
 * 门店资源
 * @ClassName: StoreResourceDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/2 11:26 AM 
 */
public class StoreResourceDTO implements Serializable{
    private static final long serialVersionUID = 3267294735384511434L;


    /**
     * 门店选择器ID
     */
    private Long storeResource;

    /**
     * 授权资源类别：门店
     */
    private StoreAuthDTO storeAuth;

    public StoreResourceDTO() {

    }

    public StoreResourceDTO(Long storeResource, StoreAuthDTO storeAuth) {
        this.storeResource = storeResource;
        this.storeAuth = storeAuth;
    }

    public StoreAuthDTO getStoreAuth() {
        return storeAuth;
    }

    public void setStoreAuth(StoreAuthDTO storeAuth) {
        this.storeAuth = storeAuth;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    @Override
    public String toString() {
        return "StoreResourceDTO{" +
                "storeResource=" + storeResource +
                ", storeAuth=" + storeAuth +
                '}';
    }
}
