package com.gic.auth.qo;

/**
 * 操作项列表
 * @ClassName: MenuOperationItemListQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 3:49 PM 
 */
public class MenuOperationItemListQO extends PageQO{
    private static final long serialVersionUID = 2808853742886323612L;

    /**
     * 操作项名称/操作项code/页面code
     */
    private String search;
    /**
     * 1:gic菜单 2：app菜单 (platformType = 0的时候选择)
     */
    private Integer isGIC;

    /**
     * 0:gic 1:好办后台 2：好办小程序 3:应用后台 4：好办小程序应用
     */
    private Integer platformType = 0;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getIsGIC() {
        return isGIC;
    }

    public void setIsGIC(Integer isGIC) {
        this.isGIC = isGIC;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public MenuOperationItemListQO setPlatformType(Integer platformType) {
        this.platformType = platformType;
        return this;
    }
}
