package com.gic.auth.qo;

import java.io.Serializable;

/**
 * 分页数据
 * @ClassName: PageQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/13 11:29 AM 
 */
public class PageQO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 页码
     */
    private Integer currentPage = 1;

    /**
     * 分页大小
     */
    private Integer pageSize = 20;

    public Integer getCurrentPage() {
        if (currentPage == null) {
            currentPage = 1;
        }
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        if (pageSize == null) {
            pageSize = 20;
        }
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
