package com.gic.auth.qo;

import java.util.List;

/**
 * 管理员列表
 * @ClassName: UserListQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 5:16 PM 
 */
public class UserListQO extends PageQO{
    private static final long serialVersionUID = 3863482060139969653L;

    /**
     * 用户名\手机号码
     */
    private String search;

    private Integer enterpriseId;

    private Integer roleId;

    private Integer resourceId;

    private Integer accountGroupId;

    private List<Integer> userIdList;

    private Integer accountType;

    private Integer userPosition;

    /**
     * 临时账号状态 生效中 已过期
     */
    private Integer accountDueDateType;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public void setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
    }

    public List<Integer> getUserIdList() {
        return userIdList;
    }

    public void setUserIdList(List<Integer> userIdList) {
        this.userIdList = userIdList;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public UserListQO setAccountType(Integer accountType) {
        this.accountType = accountType;
        return this;
    }

    public Integer getUserPosition() {
        return userPosition;
    }

    public UserListQO setUserPosition(Integer userPosition) {
        this.userPosition = userPosition;
        return this;
    }

    public Integer getAccountDueDateType() {
        return accountDueDateType;
    }

    public UserListQO setAccountDueDateType(Integer accountDueDateType) {
        this.accountDueDateType = accountDueDateType;
        return this;
    }
}
