package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.MenuRoleDTO;

import java.util.List;

/**
 * 角色菜单关联
 * @ClassName: MenuRoleApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 9:33 AM 
 */
public interface MenuRoleApiService {

    /**
     * 根据角色ID查询列表
     * @Title: listMenuRoleByRoleId 
     * @Description:
      * @author guojuxing
     * @param roleId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.auth.dto.MenuRoleDTO>> 
      */
    ServiceResponse<List<MenuRoleDTO>> listMenuRoleByRoleId(Integer roleId);

}
