package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.open.ResourceOpenDTO;
/**
 * 
 * @ClassName: ResourceOpenApiService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:35
 */
public interface ResourceOpenApiService {

    /**
     * 对第三方开发者资源数据
     * @Title: getResource 
     * @Description:
     * @param appId
     * @param enterpriseId
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.open.ResourceOpenDTO> 
     */
    ServiceResponse<ResourceOpenDTO> getResource(String appId, Integer enterpriseId);
}
