package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysCollaboratorRoleRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysCollaboratorRoleRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:40
 */
public interface TabSysCollaboratorRoleRelMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysCollaboratorRoleRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysCollaboratorRoleRel record);

    /**
     * 根据主键查询
     *
     * @param collaboratorRoleRelId 主键
     * @return 实体对象
     */
    TabSysCollaboratorRoleRel selectByPrimaryKey(Integer collaboratorRoleRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysCollaboratorRoleRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysCollaboratorRoleRel record);

    /**
     * saveFetch
     * @Title: saveFetch
     * @Description:
     * @author zhiwj
     * @param list
     * @return void
     * @throws
     */
    void saveFetch(@Param("list") List<TabSysCollaboratorRoleRel> list);

    /**
     * deleteByCollaboratorId
     * @Title: deleteByCollaboratorId
     * @Description:
     * @author zhiwj
     * @param collaboratorId
     * @return void
     * @throws
     */
    void deleteByCollaboratorId(@Param("collaboratorId") Integer collaboratorId);

    /**
     * listByCollaboratorId
     * @Title: listByCollaboratorId
     * @Description:
     * @author zhiwj
     * @param collaboratorId
     * @return java.util.List<com.gic.auth.entity.TabSysCollaboratorRoleRel>
     * @throws
     */
    List<TabSysCollaboratorRoleRel> listByCollaboratorId(@Param("collaboratorId") Integer collaboratorId);
}