package com.gic.auth.service;

import com.gic.auth.entity.TabAuditorAuditedGroupRel;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 16:30
 */
public interface AuditorAuditedGroupRelService {

    /**
     * delRel
     * @Title: delRel
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return int
     * @throws
     */
    int delRel(Integer auditedGroupId);

    /**
     * addOrUpdateRel
     * @Title: addOrUpdateRel
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditorId
     * @param auditedGroupIdList
     * @return void
     * @throws
     */
    void addOrUpdateRel(Integer enterpriseId, Integer auditorId, List<Integer> auditedGroupIdList);

    /**
     * delRelByAuditorId
     * @Title: delRelByAuditorId
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return void
     * @throws
     */
    void delRelByAuditorId(Integer auditorId);

    /**
     * listRelByAuditorId
     * @Title: listRelByAuditorId
     * @Description:
     * @author zhiwj
     * @param auditorId
     * @return java.util.List<com.gic.auth.entity.TabAuditorAuditedGroupRel>
     * @throws
     */
    List<TabAuditorAuditedGroupRel> listRelByAuditorId(Integer auditorId);

    /**
     * getUserCountByAuditorIds
     * @Title: getUserCountByAuditorIds
     * @Description:
     * @author zhiwj
     * @param auditorIdList
     * @return java.util.Map<java.lang.Integer,java.lang.Integer>
     * @throws
     */
    Map<Integer,Integer> getUserCountByAuditorIds(List<Integer> auditorIdList);

    /**
     * listRelByAuditedGroupIdAndAuditId
     * @Title: listRelByAuditedGroupIdAndAuditId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditedGroupIds
     * @param projectAuditorIds
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listRelByAuditedGroupIdAndAuditId(Integer enterpriseId, List<Integer> auditedGroupIds, List<Integer> projectAuditorIds);
}
