package com.gic.auth.service;

import com.gic.auth.entity.TabSysAuthCode;

/**
 * 
 * @ClassName: AuthCodeService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:36
 */
public interface AuthCodeService {
    /**
     * saveAuthCode
     * @Title: saveAuthCode
     * @Description:
     * @author zhiwj
     * @param tabSysAuthCode
     * @return int
     * @throws
     */
    int saveAuthCode(TabSysAuthCode tabSysAuthCode);

    /**
     * expireAuthCode
     * @Title: expireAuthCode
     * @Description:
     * @author zhiwj
     * @param authCodeId
     * @return int
     * @throws
     */
    int expireAuthCode(Integer authCodeId);

    /**
     * getAuthCode
     * @Title: getAuthCode
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param relationId
     * @return com.gic.auth.entity.TabSysAuthCode
     * @throws
     */
    TabSysAuthCode getAuthCode(Integer enterpriseId, Integer relationId);

    /**
     * getAuthCode
     * @Title: getAuthCode
     * @Description:
     * @author zhiwj
     * @param authCodeId
     * @return com.gic.auth.entity.TabSysAuthCode
     * @throws
     */
    TabSysAuthCode getAuthCode(Integer authCodeId);
}
