package com.gic.auth.service;

import com.gic.auth.entity.TabSysCollaboratorRoleRel;

import java.util.List;
/**
 * 协作人操作权限
 * @ClassName: CollaboratorRoleRelService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/4 2:55 PM 
 */
public interface CollaboratorRoleRelService {

    /**
     * 批量新增
     * @Title: saveFetch 
     * @Description:
      * @author guojuxing
     * @param list 
     * @return  void 
      */
    void saveFetch(List<TabSysCollaboratorRoleRel> list);

    /**
     * 删除协作人的操作权限
     * @Title: deleteByCollaboratorId 
     * @Description:
      * @author guojuxing
     * @param collaboratorId 
     * @return  void 
      */
    void deleteByCollaboratorId(Integer collaboratorId);

    /**
     * listByCollaboratorId 
     * @Title: listByCollaboratorId
     * @Description: 
     * @author zhiwj 
 * @param collaboratorId
     * @return java.util.List<com.gic.auth.entity.TabSysCollaboratorRoleRel>
     * @throws 
     */
    List<TabSysCollaboratorRoleRel> listByCollaboratorId(Integer collaboratorId);
}
