package com.gic.auth.service;

import com.gic.auth.dto.OrderAppResourceDTO;
import com.gic.auth.entity.TabSysOrderAppResource;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-25 15:53
 */
public interface OrderAppResourceService {

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param orderAppResourceDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(OrderAppResourceDTO orderAppResourceDTO);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param orderAppResourceDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(OrderAppResourceDTO orderAppResourceDTO);

    /**
     * del
     * @Title: del
     * @Description:
     * @author zhiwj
     * @param orderAppResourceId
     * @return java.lang.Integer
     * @throws
     */
    Integer del(Integer orderAppResourceId);

    /**
     * getById
     * @Title: getById
     * @Description:
     * @author zhiwj
     * @param orderAppResourceId
     * @return com.gic.auth.entity.TabSysOrderAppResource
     * @throws
     */
    TabSysOrderAppResource getById(Integer orderAppResourceId);

    /**
     * listByIds
     * @Title: listByIds
     * @Description:
     * @author zhiwj
     * @param smsSignList
     * @param type
     * @return java.util.List<com.gic.auth.entity.TabSysOrderAppResource>
     * @throws
     */
    List<TabSysOrderAppResource> listByIds(List<Integer> smsSignList, Integer type);
}
