package com.gic.auth.service;

import com.gic.auth.entity.TabSysUnionEnterprise;
import com.github.pagehelper.Page;
/**
 * 
 * @ClassName: UnionEnterpriseService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:51
 */
public interface UnionEnterpriseService {
    /**
     * saveUnionEnterprise
     * @Title: saveUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param tabSysUnionEnterprise
     * @return int
     * @throws
     */
    int saveUnionEnterprise(TabSysUnionEnterprise tabSysUnionEnterprise);

    /**
     * updateUnionEnterprise
     * @Title: updateUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param tabSysUnionEnterprise
     * @return int
     * @throws
     */
    int updateUnionEnterprise(TabSysUnionEnterprise tabSysUnionEnterprise);

    /**
     * getUnionEnterpriseByUnionEnterpriseId
     * @Title: getUnionEnterpriseByUnionEnterpriseId
     * @Description:
     * @author zhiwj
     * @param unionEnterpriseId
     * @return com.gic.auth.entity.TabSysUnionEnterprise
     * @throws
     */
    TabSysUnionEnterprise getUnionEnterpriseByUnionEnterpriseId(Integer unionEnterpriseId);

    /**
     * delUnionEnterprise
     * @Title: delUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param id
     * @return int
     * @throws
     */
    int delUnionEnterprise(Integer id);

    /**
     * getUnionEnterpriseById
     * @Title: getUnionEnterpriseById
     * @Description:
     * @author zhiwj
     * @param unionId
     * @return com.gic.auth.entity.TabSysUnionEnterprise
     * @throws
     */
    TabSysUnionEnterprise getUnionEnterpriseById(Integer unionId);

    /**
     * pageUnionEnterprise
     * @Title: pageUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param authorizationStatus
     * @param search
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabSysUnionEnterprise>
     * @throws
     */
    Page<TabSysUnionEnterprise> pageUnionEnterprise(Integer enterpriseId, Integer authorizationStatus, String search);
}
