package com.gic.auth.utils.resourcegroup;

import com.gic.auth.constant.ResourceHoldEnum;
import com.gic.auth.dto.GoodsResourceDTO;
import com.gic.auth.entity.TabSysResourceGroup;
/**
 * 资源组-商品资源
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/12 2:29 PM 
 */
public class GoodsResourceData implements IResourceGroupData{
    @Override
    public <T> T getResourceData(TabSysResourceGroup resourceGroup) {
        return (T) new GoodsResourceDTO()
                .setType(ResourceHoldEnum.DART.getCode())
                .setGoodsResourceId(resourceGroup.getGoodsResourceId());
    }

    @Override
    public <T> T getResourceDataForAdmin() {
        return (T) new GoodsResourceDTO()
                .setType(ResourceHoldEnum.ALL.getCode());
    }

    @Override
    public <T> T getResourceDataWhenNoExist() {
        return (T) new GoodsResourceDTO()
                .setType(ResourceHoldEnum.DART.getCode()).setGoodsResourceId(null);
    }
}
