package com.gic.auth.utils.resourcegroup;

import com.gic.auth.entity.TabSysResourceGroup;

/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/12 2:15 PM 
 */
public interface IResourceGroupData {

    /**
     * 查询资源
     * @param resourceGroup
     * @param <T>
     * @return
     */
    <T> T getResourceData(TabSysResourceGroup resourceGroup);

    /**
     * 查询超管资源
     * @param <T>
     * @return
     */
    <T> T getResourceDataForAdmin();

    /**
     * 查询资源-管理员不存在
     * @param <T>
     * @return
     */
    <T> T getResourceDataWhenNoExist();
}
