package com.gic.auth.web.qo;

import javax.validation.constraints.NotBlank;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-20 13:43
 */
public class AuditorQO {

    public interface SaveValid{}

    /**
     *
     */
    private Integer auditorId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 审核员姓名
     */
    @NotBlank(message = "审核员姓名不能为空", groups = SaveValid.class)
    private String auditorName;

    /**
     * 手机号
     */
    @NotBlank(message = "手机号不能为空", groups = SaveValid.class)
    private String phone;

    /**
     * 关联管理员id
     */
    private Integer userId;

    /**
     * 受审项目审批项id
     */
    @NotBlank(message = "受审项目不能为空", groups = SaveValid.class)
    private String projectItems;


    /**
     * 受审组id
     */
    private String auditedGroupIds;

    public Integer getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Integer auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getAuditorName() {
        return auditorName;
    }

    public void setAuditorName(String auditorName) {
        this.auditorName = auditorName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getProjectItems() {
        return projectItems;
    }

    public void setProjectItems(String projectItems) {
        this.projectItems = projectItems;
    }

    public String getAuditedGroupIds() {
        return auditedGroupIds;
    }

    public void setAuditedGroupIds(String auditedGroupIds) {
        this.auditedGroupIds = auditedGroupIds;
    }
}
