package com.gic.auth.web.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-24 17:41
 */
public class ResourceVO implements Serializable{
    private static final long serialVersionUID = 7757529718726436352L;
    /**
     *
     */
    private Integer resourceId;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     *
     */
    private Integer enterpriseId;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long userResource;

    /**
     * 门店资源
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long storeResource;

    /**
     * 订单资源
     */
    @JsonProperty("orderResourceJSON")
    private List<OrderResourceVO> orderResourceJson;
    @JsonProperty("smsResourceJSON")
    private SmsSignResourceVO smsResourceJson;
    private Integer userResourceCount;

    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long goodsResourceId;

    @JsonProperty("channelResourceJSON")
    private ChannelResourceVO channelResourceJson;

    public Integer getResourceId() {
        return resourceId;
    }

    public void setResourceId(Integer resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getUserResource() {
        return userResource;
    }

    public void setUserResource(Long userResource) {
        this.userResource = userResource;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public void setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
    }

    public List<OrderResourceVO> getOrderResourceJson() {
        return orderResourceJson;
    }

    public void setOrderResourceJson(List<OrderResourceVO> orderResourceJson) {
        this.orderResourceJson = orderResourceJson;
    }

    public SmsSignResourceVO getSmsResourceJson() {
        return smsResourceJson;
    }

    public void setSmsResourceJson(SmsSignResourceVO smsResourceJson) {
        this.smsResourceJson = smsResourceJson;
    }

    public Integer getUserResourceCount() {
        return userResourceCount;
    }

    public void setUserResourceCount(Integer userResourceCount) {
        this.userResourceCount = userResourceCount;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public void setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
    }

    public ChannelResourceVO getChannelResourceJson() {
        return channelResourceJson;
    }

    public void setChannelResourceJson(ChannelResourceVO channelResourceJson) {
        this.channelResourceJson = channelResourceJson;
    }

    @Override
    public String toString() {
        return "ResourceVO{" +
                "resourceId=" + resourceId +
                ", resourceName='" + resourceName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", userResource=" + userResource +
                ", storeResource=" + storeResource +
                ", orderResourceJSON=" + orderResourceJson +
                ", smsResourceJSON=" + smsResourceJson +
                ", userResourceCount=" + userResourceCount +
                ", goodsResourceId=" + goodsResourceId +
                ", channelResourceJSON=" + channelResourceJson +
                '}';
    }
}
