package com.gic.auth.web.vo;

import java.io.Serializable;
/**
 * 超级管理员信息
 * @ClassName: SuperUserVO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/10 2:59 PM 
 */
public class SuperUserVO implements Serializable{
    private static final long serialVersionUID = -4764946843477881395L;

    private Integer userId;

    private String userName;

    private String phoneNumber;


    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    public Integer getUserId() {
        return userId;
    }

    public SuperUserVO setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getUserName() {
        return userName;
    }

    public SuperUserVO setUserName(String userName) {
        this.userName = userName;
        return this;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public SuperUserVO setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public SuperUserVO setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
        return this;
    }

    @Override
    public String toString() {
        return "SuperUserVO{" +
                "userId=" + userId +
                ", userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                '}';
    }
}
